<?xml version="1.0" encoding="UTF-8"?>
<OpenSearchDescription xmlns="http://a9.com/-/spec/opensearch/1.1/">
  <ShortName>kafka</ShortName>
  <Description>A privacy-respecting, open metasearch engine</Description>
  <InputEncoding>UTF-8</InputEncoding>
  <OutputEncoding>UTF-8</OutputEncoding>
  <LongName>kafka — Privacy-respecting metasearch</LongName>
  <Image width="16" height="16" type="image/svg+xml">/static/img/favicon.svg</Image>
  <Contact>https://git.ashisgreat.xyz/penal-colony/kafka</Contact>
  <Url type="text/html" method="GET" template="{baseUrl}/search?q={searchTerms}&amp;format=html">
    <Param name="pageno" value="{startPage?}" />
    <Param name="language" value="{language?}" />
  </Url>
  <Url type="application/json" method="GET" template="{baseUrl}/search?q={searchTerms}&amp;format=json" />
  <Query role="example" searchTerms="golang" />
</OpenSearchDescription>
